import Conductor from 'conductor-node';const conductor = new Conductor({ apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted});const vendor = await conductor.qbd.vendors.retrieve('80000001-1234567890', { conductorEndUserId: 'end_usr_1234567abcdefg',});console.log(vendor.id);
import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
vendor = conductor.qbd.vendors.retrieve(
id="80000001-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(vendor.id)
IMPORTANT: If you need to fetch multiple specific vendors by ID, use the list endpoint instead with the ids parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.
GET
/
quickbooks-desktop
/
vendors
/
{id}
JavaScript
import Conductor from 'conductor-node';const conductor = new Conductor({ apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted});const vendor = await conductor.qbd.vendors.retrieve('80000001-1234567890', { conductorEndUserId: 'end_usr_1234567abcdefg',});console.log(vendor.id);
import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
vendor = conductor.qbd.vendors.retrieve(
id="80000001-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(vendor.id)
The date and time when this vendor was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
The date and time when this vendor was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
The current QuickBooks-assigned revision number of this vendor object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
The case-insensitive unique name of this vendor, unique across all vendors.
NOTE: Vendors do not have a fullName field because they are not hierarchical objects, which is why name is unique for them but not for objects that have parents.
The vendor's class. Classes can be used to categorize objects into meaningful segments, such as department, location, or type of work. In QuickBooks, class tracking is off by default.
The vendor's account number, which appears in the QuickBooks chart of accounts, reports, and graphs.
Note that if the "Use Account Numbers" preference is turned off in QuickBooks, the account number may not be visible in the user interface, but it can still be set and retrieved through the API.
The vendor's credit limit, represented as a decimal string. This is the maximum amount of money that can be spent being before billed by this vendor. If null, there is no credit limit.
Indicates whether this vendor is eligible to receive a 1099 form for tax reporting purposes. When true, then the fields taxId and billingAddress are required.
A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.
The default sales-tax code for transactions with this vendor, determining whether the transactions are taxable or non-taxable. This can be overridden at the transaction or transaction-line level.
Default codes include "Non" (non-taxable) and "Tax" (taxable), but custom codes can also be created in QuickBooks Desktop. If QuickBooks Desktop is not set up to charge sales tax (via the "Do You Charge Sales Tax?" preference), it assigns the default non-taxable sales-tax code configured in the company file to all sales.
The vendor's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.
The custom fields for the vendor object, added as user-defined data extensions, not included in the standard QuickBooks object.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Conductor Docs","colors":{"primary":"#9563FF","light":"#AE87FF","dark":"#0D001D"},"logo":{"light":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf","dark":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/dark.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=dbd4c90195fb31cbae682dd4bfb98350","href":"https://conductor.is"},"favicon":"https://mintcdn.com/conductor/79gIlu1T1D-ycZhm/favicon.png?fit=max\u0026auto=format\u0026n=79gIlu1T1D-ycZhm\u0026q=85\u0026s=52c2193ef1a37fb3c2a843f148178e26","api":{"openapi":"openapi.documented.yml","playground":{"display":"interactive"}},"background":{"color":{"dark":"#090014"}},"navbar":{"links":[{"href":"mailto:support@conductor.is?subject=Conductor Help","label":"Support"},{"href":"https://dashboard.conductor.is","label":"Dashboard"}],"primary":{"type":"button","label":"Sign up","href":"https://dashboard.conductor.is/sign-up"}},"footer":{"socials":{"twitter":"https://twitter.com/conductor_is","github":"https://github.com/conductor-is","linkedin":"https://linkedin.com/company/conductor-is"},"links":[{"header":"Product","items":[{"label":"Core","href":"https://conductor.is/"},{"label":"FAQ","href":"https://docs.conductor.is/faq"},{"label":"Security","href":"https://docs.conductor.is/security"},{"label":"Testimonials","href":"https://conductor.is/"},{"label":"Pricing","href":"https://conductor.is/"}]},{"header":"Resources","items":[{"label":"Documentation","href":"https://docs.conductor.is"},{"label":"Help Center","href":"https://docs.conductor.is/help"},{"label":"Status","href":"https://status.conductor.is"},{"label":"Quickstart","href":"https://docs.conductor.is/quickstart"}]},{"header":"Company","items":[{"label":"About","href":"https://conductor.is/company"},{"label":"Values","href":"https://conductor-io.notion.site/Conductor-s-Values-83e9eb6e4e4d40a2973b24513dc60f99?pvs=4"},{"label":"Contact","href":"mailto:support@conductor.is?subject=Conductor Help"}]},{"header":"Legal","items":[{"label":"Privacy Policy","href":"https://conductor.is/privacy"},{"label":"Terms of Service","href":"https://conductor.is/terms"},{"label":"Trust Center","href":"https://trust.conductor.is"}]}]},"styling":{"codeblocks":"system","latex":false},"integrations":{"ga4":{"measurementId":"G-X8MDB0LXNF"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"conductor","hasAudioNarration":false,"actualSubdomain":"conductor","customDomains":["docs.conductor.is"],"gitSource":{"type":"github","owner":"conductor-is","repo":"conductor","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae2a147c25d5899be6b563f","collectionId":"d98a652d-e786-4770-b017-4197fbe10d31","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae2a147c25d5899be6b563f"},"feedback":{"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae2a147c25d5899be6b563f","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"API Reference","count":337},{"language":"default","tag":"Transactions","count":160},{"language":"default","tag":"General","count":104},{"language":"default","tag":"Items","count":53},{"language":"default","tag":"Help","count":25},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"Guides","count":14},{"language":"default","tag":"Reports","count":11},{"language":"default","tag":"QuickBooks Desktop API","count":10},{"language":"default","tag":"Connection errors","count":9}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-ref/qbd/vendors/retrieve","slug":"/api-ref/qbd/vendors/retrieve","pageMetadata":{"openapi":"GET /quickbooks-desktop/vendors/{id}","title":"Retrieve a vendor","description":"Retrieves a vendor by ID.\n\n**IMPORTANT:** If you need to fetch multiple specific vendors by ID, use the list endpoint instead with the `ids` parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.","href":"/api-ref/qbd/vendors/retrieve"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Retrieves a vendor by ID.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"IMPORTANT:\"\n }), \" If you need to fetch multiple specific vendors by ID, use the list endpoint instead with the \", _jsx(_components.code, {\n children: \"ids\"\n }), \" parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"GET /quickbooks-desktop/vendors/{id}","title":"Retrieve a vendor","description":"Retrieves a vendor by ID.\n\n**IMPORTANT:** If you need to fetch multiple specific vendors by ID, use the list endpoint instead with the `ids` parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.","href":"/api-ref/qbd/vendors/retrieve"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Retrieve a vendor","description":"Retrieves a vendor by ID.\n\n**IMPORTANT:** If you need to fetch multiple specific vendors by ID, use the list endpoint instead with the `ids` parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.","security":["191c7603-d72f-4f6b-b268-817e601fa747"],"parameters":["b1dc156e-c0ba-4ec3-a425-0ece5e01228f","c7106086-de9c-4d42-9219-bb56884e91f5"],"responses":{"200":"646beb7c-4bda-42a0-93a0-175ceed7e4d0"},"x-codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\nconst vendor = await conductor.qbd.vendors.retrieve('80000001-1234567890', {\n conductorEndUserId: 'end_usr_1234567abcdefg',\n});\n\nconsole.log(vendor.id);"},{"lang":"Python","source":"import os\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\nvendor = conductor.qbd.vendors.retrieve(\n id=\"80000001-1234567890\",\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\nprint(vendor.id)"}],"method":"get","type":"path","servers":["045cea4d-dfb6-46e4-9c51-52452b7b239b"],"path":"/quickbooks-desktop/vendors/{id}","baseUrlOptions":["https://api.conductor.is/v1"],"title":"Retrieve a vendor","codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\nconst vendor = await conductor.qbd.vendors.retrieve('80000001-1234567890', {\n conductorEndUserId: 'end_usr_1234567abcdefg',\n});\n\nconsole.log(vendor.id);"},{"lang":"Python","source":"import os\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\nvendor = conductor.qbd.vendors.retrieve(\n id=\"80000001-1234567890\",\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\nprint(vendor.id)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"b1dc156e-c0ba-4ec3-a425-0ece5e01228f":{"in":"header","name":"Conductor-End-User-Id","schema":{"type":"string","description":"The ID of the End-User to receive this request.","example":"end_usr_1234567abcdefg","x-stainless-naming":{"typescript":{"method_argument":"conductorEndUserId"},"mcp":{"method_argument":"conductorEndUserId"}},"isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"description":"The ID of the End-User to receive this request."},"c7106086-de9c-4d42-9219-bb56884e91f5":{"in":"path","name":"id","schema":{"type":"string","maxLength":36,"description":"The QuickBooks-assigned unique identifier of the vendor to retrieve.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"description":"The QuickBooks-assigned unique identifier of the vendor to retrieve."}},"responses":{"646beb7c-4bda-42a0-93a0-175ceed7e4d0":{"description":"Returns the specified vendor.","headers":{"Conductor-Request-Id":{"required":true,"description":"The unique identifier for this API request.","schema":{"type":"string","description":"The unique identifier for this API request.","example":"req_1234567abcdefg"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier assigned by QuickBooks to this vendor. This ID is unique across all vendors but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"objectType":{"description":"The type of object. This value is always `\"qbd_vendor\"`.","example":"qbd_vendor","type":"string","const":"qbd_vendor","isRequired":true,"uniqueKey":"objectType","typeLabel":"string"},"createdAt":{"type":"string","description":"The date and time when this vendor was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.","example":"2025-01-01T12:34:56.000Z","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string"},"updatedAt":{"type":"string","description":"The date and time when this vendor was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.","example":"2025-02-01T12:34:56.000Z","isRequired":true,"uniqueKey":"updatedAt","typeLabel":"string"},"revisionNumber":{"type":"string","description":"The current QuickBooks-assigned revision number of this vendor object, which changes each time the object is modified. When updating this object, you must provide the most recent `revisionNumber` to ensure you're working with the latest data; otherwise, the update will return an error.","example":"1721172183","isRequired":true,"uniqueKey":"revisionNumber","typeLabel":"string"},"name":{"type":"string","description":"The case-insensitive unique name of this vendor, unique across all vendors.\n\n**NOTE**: Vendors do not have a `fullName` field because they are not hierarchical objects, which is why `name` is unique for them but not for objects that have parents.","example":"Acme Supplies Inc.","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"isActive":{"type":"boolean","description":"Indicates whether this vendor is active. Inactive objects are typically hidden from views and reports in QuickBooks. Defaults to `true`.","example":true,"isRequired":true,"uniqueKey":"isActive","typeLabel":"boolean"},"class":{"oneOf":[{"type":"object","description":"The vendor's class. Classes can be used to categorize objects into meaningful segments, such as department, location, or type of work. In QuickBooks, class tracking is off by default.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Suppliers"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"class.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"class.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"class.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"class.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"class.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"class.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"class.oneOf.0","typeLabel":"object"},{"type":"null","description":"The vendor's class. Classes can be used to categorize objects into meaningful segments, such as department, location, or type of work. In QuickBooks, class tracking is off by default.","example":{"id":"80000001-1234567890","fullName":"Suppliers"},"isRequired":true,"uniqueKey":"class.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"class","typeLabel":"object | null"},"companyName":{"oneOf":[{"type":"string","description":"The name of the company associated with this vendor. This name is used on invoices, checks, and other forms.","example":"Acme Corporation","isRequired":true,"uniqueKey":"companyName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the company associated with this vendor. This name is used on invoices, checks, and other forms.","example":"Acme Corporation","isRequired":true,"uniqueKey":"companyName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"companyName","typeLabel":"string | null"},"salutation":{"oneOf":[{"type":"string","description":"The formal salutation title that precedes the name of the contact person for this vendor, such as \"Mr.\", \"Ms.\", or \"Dr.\".","example":"Dr.","isRequired":true,"uniqueKey":"salutation.oneOf.0","typeLabel":"string"},{"type":"null","description":"The formal salutation title that precedes the name of the contact person for this vendor, such as \"Mr.\", \"Ms.\", or \"Dr.\".","example":"Dr.","isRequired":true,"uniqueKey":"salutation.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salutation","typeLabel":"string | null"},"firstName":{"oneOf":[{"type":"string","description":"The first name of the contact person for this vendor.","example":"John","isRequired":true,"uniqueKey":"firstName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first name of the contact person for this vendor.","example":"John","isRequired":true,"uniqueKey":"firstName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"firstName","typeLabel":"string | null"},"middleName":{"oneOf":[{"type":"string","description":"The middle name of the contact person for this vendor.","example":"A.","isRequired":true,"uniqueKey":"middleName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The middle name of the contact person for this vendor.","example":"A.","isRequired":true,"uniqueKey":"middleName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"middleName","typeLabel":"string | null"},"lastName":{"oneOf":[{"type":"string","description":"The last name of the contact person for this vendor.","example":"Doe","isRequired":true,"uniqueKey":"lastName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The last name of the contact person for this vendor.","example":"Doe","isRequired":true,"uniqueKey":"lastName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"lastName","typeLabel":"string | null"},"jobTitle":{"oneOf":[{"type":"string","description":"The job title of the contact person for this vendor.","example":"Purchasing Manager","isRequired":true,"uniqueKey":"jobTitle.oneOf.0","typeLabel":"string"},{"type":"null","description":"The job title of the contact person for this vendor.","example":"Purchasing Manager","isRequired":true,"uniqueKey":"jobTitle.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"jobTitle","typeLabel":"string | null"},"billingAddress":{"oneOf":[{"type":"object","title":"The Address object","description":"The vendor's billing address.","required":["line1","line2","line3","line4","line5","city","state","postalCode","country","note"],"x-conductor-object-type":"nested","properties":{"line1":{"oneOf":[{"type":"string","description":"The first line of the address (e.g., street, PO Box, or company name).","example":"Conductor Labs Inc.","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first line of the address (e.g., street, PO Box, or company name).","example":"Conductor Labs Inc.","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","description":"The second line of the address, if needed (e.g., apartment, suite, unit, or building).","example":"540 Market St.","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","description":"The second line of the address, if needed (e.g., apartment, suite, unit, or building).","example":"540 Market St.","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line2","typeLabel":"string | null"},"line3":{"oneOf":[{"type":"string","description":"The third line of the address, if needed.","example":"Suite 100","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line3.oneOf.0","typeLabel":"string"},{"type":"null","description":"The third line of the address, if needed.","example":"Suite 100","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line3.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line3","typeLabel":"string | null"},"line4":{"oneOf":[{"type":"string","description":"The fourth line of the address, if needed.","example":"","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line4.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fourth line of the address, if needed.","example":"","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line4.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line4","typeLabel":"string | null"},"line5":{"oneOf":[{"type":"string","description":"The fifth line of the address, if needed.","example":"","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line5.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fifth line of the address, if needed.","example":"","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line5.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"billingAddress.oneOf.0.line5","typeLabel":"string | null"},"city":{"oneOf":[{"type":"string","description":"The city, district, suburb, town, or village name of the address.","example":"San Francisco","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","description":"The city, district, suburb, town, or village name of the address.","example":"San Francisco","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.city.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"billingAddress.oneOf.0.city","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","description":"The state, county, province, or region name of the address.","example":"CA","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","description":"The state, county, province, or region name of the address.","example":"CA","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.state.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"billingAddress.oneOf.0.state","typeLabel":"string | null"},"postalCode":{"oneOf":[{"type":"string","description":"The postal code or ZIP code of the address.","example":"94110","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.postalCode.oneOf.0","typeLabel":"string"},{"type":"null","description":"The postal code or ZIP code of the address.","example":"94110","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.postalCode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"billingAddress.oneOf.0.postalCode","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","description":"The country name of the address.","example":"United States","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country name of the address.","example":"United States","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.country.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"billingAddress.oneOf.0.country","typeLabel":"string | null"},"note":{"oneOf":[{"type":"string","description":"A note written at the bottom of the address in the form in which it appears, such as the invoice form.","example":"Conductor HQ","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.note.oneOf.0","typeLabel":"string"},{"type":"null","description":"A note written at the bottom of the address in the form in which it appears, such as the invoice form.","example":"Conductor HQ","isRequired":true,"uniqueKey":"billingAddress.oneOf.0.note.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"billingAddress.oneOf.0.note","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"billingAddress.oneOf.0","typeLabel":"The Address object · object"},{"type":"null","description":"The vendor's billing address.","isRequired":true,"uniqueKey":"billingAddress.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"billingAddress","typeLabel":"The Address object · object | null"},"shippingAddress":{"oneOf":[{"type":"object","title":"The Address object","description":"The vendor's shipping address.","required":["line1","line2","line3","line4","line5","city","state","postalCode","country","note"],"x-conductor-object-type":"nested","properties":{"line1":{"oneOf":[{"type":"string","description":"The first line of the address (e.g., street, PO Box, or company name).","example":"Conductor Labs Inc.","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first line of the address (e.g., street, PO Box, or company name).","example":"Conductor Labs Inc.","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","description":"The second line of the address, if needed (e.g., apartment, suite, unit, or building).","example":"540 Market St.","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","description":"The second line of the address, if needed (e.g., apartment, suite, unit, or building).","example":"540 Market St.","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line2","typeLabel":"string | null"},"line3":{"oneOf":[{"type":"string","description":"The third line of the address, if needed.","example":"Suite 100","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line3.oneOf.0","typeLabel":"string"},{"type":"null","description":"The third line of the address, if needed.","example":"Suite 100","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line3.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line3","typeLabel":"string | null"},"line4":{"oneOf":[{"type":"string","description":"The fourth line of the address, if needed.","example":"","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line4.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fourth line of the address, if needed.","example":"","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line4.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line4","typeLabel":"string | null"},"line5":{"oneOf":[{"type":"string","description":"The fifth line of the address, if needed.","example":"","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line5.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fifth line of the address, if needed.","example":"","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line5.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.line5","typeLabel":"string | null"},"city":{"oneOf":[{"type":"string","description":"The city, district, suburb, town, or village name of the address.","example":"San Francisco","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","description":"The city, district, suburb, town, or village name of the address.","example":"San Francisco","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.city.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.city","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","description":"The state, county, province, or region name of the address.","example":"CA","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","description":"The state, county, province, or region name of the address.","example":"CA","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.state.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.state","typeLabel":"string | null"},"postalCode":{"oneOf":[{"type":"string","description":"The postal code or ZIP code of the address.","example":"94110","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.postalCode.oneOf.0","typeLabel":"string"},{"type":"null","description":"The postal code or ZIP code of the address.","example":"94110","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.postalCode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.postalCode","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","description":"The country name of the address.","example":"United States","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country name of the address.","example":"United States","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.country.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.country","typeLabel":"string | null"},"note":{"oneOf":[{"type":"string","description":"A note written at the bottom of the address in the form in which it appears, such as the invoice form.","example":"Conductor HQ","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.note.oneOf.0","typeLabel":"string"},{"type":"null","description":"A note written at the bottom of the address in the form in which it appears, such as the invoice form.","example":"Conductor HQ","isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.note.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shippingAddress.oneOf.0.note","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"shippingAddress.oneOf.0","typeLabel":"The Address object · object"},{"type":"null","description":"The vendor's shipping address.","isRequired":true,"uniqueKey":"shippingAddress.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"shippingAddress","typeLabel":"The Address object · object | null"},"phone":{"oneOf":[{"type":"string","description":"The vendor's primary telephone number.","example":"+1-555-123-4567","isRequired":true,"uniqueKey":"phone.oneOf.0","typeLabel":"string"},{"type":"null","description":"The vendor's primary telephone number.","example":"+1-555-123-4567","isRequired":true,"uniqueKey":"phone.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"phone","typeLabel":"string | null"},"alternatePhone":{"oneOf":[{"type":"string","description":"The vendor's alternate telephone number.","example":"+1-555-987-6543","isRequired":true,"uniqueKey":"alternatePhone.oneOf.0","typeLabel":"string"},{"type":"null","description":"The vendor's alternate telephone number.","example":"+1-555-987-6543","isRequired":true,"uniqueKey":"alternatePhone.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"alternatePhone","typeLabel":"string | null"},"fax":{"oneOf":[{"type":"string","description":"The vendor's fax number.","example":"+1-555-555-1212","isRequired":true,"uniqueKey":"fax.oneOf.0","typeLabel":"string"},{"type":"null","description":"The vendor's fax number.","example":"+1-555-555-1212","isRequired":true,"uniqueKey":"fax.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"fax","typeLabel":"string | null"},"email":{"oneOf":[{"type":"string","description":"The vendor's email address.","example":"vendor@example.com","isRequired":true,"uniqueKey":"email.oneOf.0","typeLabel":"string"},{"type":"null","description":"The vendor's email address.","example":"vendor@example.com","isRequired":true,"uniqueKey":"email.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"email","typeLabel":"string | null"},"ccEmail":{"oneOf":[{"type":"string","description":"An email address to carbon copy (CC) on communications with this vendor.","example":"manager@example.com","isRequired":true,"uniqueKey":"ccEmail.oneOf.0","typeLabel":"string"},{"type":"null","description":"An email address to carbon copy (CC) on communications with this vendor.","example":"manager@example.com","isRequired":true,"uniqueKey":"ccEmail.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"ccEmail","typeLabel":"string | null"},"contact":{"oneOf":[{"type":"string","description":"The name of the primary contact person for this vendor.","example":"Jane Smith","isRequired":true,"uniqueKey":"contact.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the primary contact person for this vendor.","example":"Jane Smith","isRequired":true,"uniqueKey":"contact.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"contact","typeLabel":"string | null"},"alternateContact":{"oneOf":[{"type":"string","description":"The name of a alternate contact person for this vendor.","example":"Bob Johnson","isRequired":true,"uniqueKey":"alternateContact.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of a alternate contact person for this vendor.","example":"Bob Johnson","isRequired":true,"uniqueKey":"alternateContact.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"alternateContact","typeLabel":"string | null"},"customContactFields":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the contact field (e.g., \"old address\", \"secondary phone\").","example":"Main Phone","isRequired":true,"uniqueKey":"customContactFields.items.[INDEX].name","typeLabel":"string"},"value":{"oneOf":[{"type":"string","description":"The value of the contact field.","example":"555-123-4567","isRequired":true,"uniqueKey":"customContactFields.items.[INDEX].value.oneOf.0","typeLabel":"string"},{"type":"null","description":"The value of the contact field.","example":"555-123-4567","isRequired":true,"uniqueKey":"customContactFields.items.[INDEX].value.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"customContactFields.items.[INDEX].value","typeLabel":"string | null"}},"required":["name","value"],"additionalProperties":false,"title":"The Custom Contact Field object","x-conductor-object-type":"nested","uniqueKey":"customContactFields.items.[INDEX]","typeLabel":"The Custom Contact Field object · object"},"description":"Additional custom contact fields for this vendor, such as phone numbers or email addresses.","isRequired":true,"uniqueKey":"customContactFields","typeLabel":"The Custom Contact Field object · object[]"},"additionalContacts":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier assigned by QuickBooks to this contact. This ID is unique across all contacts but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].id","typeLabel":"string"},"objectType":{"description":"The type of object. This value is always `\"qbd_contact\"`.","example":"qbd_contact","type":"string","const":"qbd_contact","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].objectType","typeLabel":"string"},"createdAt":{"type":"string","description":"The date and time when this contact was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.","example":"2025-01-01T12:34:56.000Z","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].createdAt","typeLabel":"string"},"updatedAt":{"type":"string","description":"The date and time when this contact was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.","example":"2025-02-01T12:34:56.000Z","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].updatedAt","typeLabel":"string"},"revisionNumber":{"type":"string","description":"The current QuickBooks-assigned revision number of this contact object, which changes each time the object is modified. When updating this object, you must provide the most recent `revisionNumber` to ensure you're working with the latest data; otherwise, the update will return an error.","example":"1721172183","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].revisionNumber","typeLabel":"string"},"name":{"oneOf":[{"type":"string","description":"The contact's full name.","example":"Jane Smith","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The contact's full name.","example":"Jane Smith","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].name","typeLabel":"string | null"},"salutation":{"oneOf":[{"type":"string","description":"The contact's formal salutation title that precedes their name, such as \"Mr.\", \"Ms.\", or \"Dr.\".","example":"Dr.","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].salutation.oneOf.0","typeLabel":"string"},{"type":"null","description":"The contact's formal salutation title that precedes their name, such as \"Mr.\", \"Ms.\", or \"Dr.\".","example":"Dr.","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].salutation.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].salutation","typeLabel":"string | null"},"firstName":{"type":"string","description":"The contact's first name.","example":"John","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].firstName","typeLabel":"string"},"middleName":{"oneOf":[{"type":"string","description":"The contact's middle name.","example":"A.","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].middleName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The contact's middle name.","example":"A.","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].middleName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].middleName","typeLabel":"string | null"},"lastName":{"oneOf":[{"type":"string","description":"The contact's last name.","example":"Doe","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].lastName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The contact's last name.","example":"Doe","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].lastName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].lastName","typeLabel":"string | null"},"jobTitle":{"oneOf":[{"type":"string","description":"The contact's job title.","example":"Purchasing Manager","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].jobTitle.oneOf.0","typeLabel":"string"},{"type":"null","description":"The contact's job title.","example":"Purchasing Manager","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].jobTitle.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].jobTitle","typeLabel":"string | null"},"customContactFields":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the contact field (e.g., \"old address\", \"secondary phone\").","example":"Main Phone","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].customContactFields.items.[INDEX].name","typeLabel":"string"},"value":{"oneOf":[{"type":"string","description":"The value of the contact field.","example":"555-123-4567","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].customContactFields.items.[INDEX].value.oneOf.0","typeLabel":"string"},{"type":"null","description":"The value of the contact field.","example":"555-123-4567","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].customContactFields.items.[INDEX].value.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].customContactFields.items.[INDEX].value","typeLabel":"string | null"}},"required":["name","value"],"additionalProperties":false,"title":"The Custom Contact Field object","x-conductor-object-type":"nested","uniqueKey":"additionalContacts.items.[INDEX].customContactFields.items.[INDEX]","typeLabel":"The Custom Contact Field object · object"},"description":"Additional custom contact fields for this contact, such as phone numbers or email addresses.","isRequired":true,"uniqueKey":"additionalContacts.items.[INDEX].customContactFields","typeLabel":"The Custom Contact Field object · object[]"}},"required":["id","objectType","createdAt","updatedAt","revisionNumber","name","salutation","firstName","middleName","lastName","jobTitle","customContactFields"],"additionalProperties":false,"title":"The Contact object","x-conductor-object-type":"nested","uniqueKey":"additionalContacts.items.[INDEX]","typeLabel":"The Contact object · object"},"description":"Additional alternate contacts for this vendor.","isRequired":true,"uniqueKey":"additionalContacts","typeLabel":"The Contact object · object[]"},"nameOnCheck":{"oneOf":[{"type":"string","description":"The vendor's name as it should appear on checks issued to this vendor.","example":"Acme Supplies Ltd.","isRequired":true,"uniqueKey":"nameOnCheck.oneOf.0","typeLabel":"string"},{"type":"null","description":"The vendor's name as it should appear on checks issued to this vendor.","example":"Acme Supplies Ltd.","isRequired":true,"uniqueKey":"nameOnCheck.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"nameOnCheck","typeLabel":"string | null"},"accountNumber":{"oneOf":[{"type":"string","description":"The vendor's account number, which appears in the QuickBooks chart of accounts, reports, and graphs.\n\nNote that if the \"Use Account Numbers\" preference is turned off in QuickBooks, the account number may not be visible in the user interface, but it can still be set and retrieved through the API.","example":"1010","isRequired":true,"uniqueKey":"accountNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"The vendor's account number, which appears in the QuickBooks chart of accounts, reports, and graphs.\n\nNote that if the \"Use Account Numbers\" preference is turned off in QuickBooks, the account number may not be visible in the user interface, but it can still be set and retrieved through the API.","example":"1010","isRequired":true,"uniqueKey":"accountNumber.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"accountNumber","typeLabel":"string | null"},"note":{"oneOf":[{"type":"string","description":"A note or comment about this vendor.","example":"Preferred vendor for office supplies.","isRequired":true,"uniqueKey":"note.oneOf.0","typeLabel":"string"},{"type":"null","description":"A note or comment about this vendor.","example":"Preferred vendor for office supplies.","isRequired":true,"uniqueKey":"note.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"note","typeLabel":"string | null"},"additionalNotes":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number","description":"The auto-incrementing identifier assigned by QuickBooks to this note.","example":1,"isRequired":true,"uniqueKey":"additionalNotes.items.[INDEX].id","typeLabel":"number"},"date":{"oneOf":[{"type":"string","description":"The date this note was last updated, in ISO 8601 format (YYYY-MM-DD).","format":"date","example":"2024-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"additionalNotes.items.[INDEX].date.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","description":"The date this note was last updated, in ISO 8601 format (YYYY-MM-DD).","example":"2024-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"additionalNotes.items.[INDEX].date.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"additionalNotes.items.[INDEX].date","typeLabel":"string\u003cdate> | null"},"note":{"type":"string","description":"The text of this note.","example":"This is a fun note.","isRequired":true,"uniqueKey":"additionalNotes.items.[INDEX].note","typeLabel":"string"}},"required":["id","date","note"],"additionalProperties":false,"title":"The Note object","x-conductor-object-type":"nested","uniqueKey":"additionalNotes.items.[INDEX]","typeLabel":"The Note object · object"},"description":"Additional notes about this vendor.","isRequired":true,"uniqueKey":"additionalNotes","typeLabel":"The Note object · object[]"},"vendorType":{"oneOf":[{"type":"object","description":"The vendor's type, used for categorizing vendors into meaningful segments, such as industry or region.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Wholesale Supplier"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"vendorType.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"vendorType.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"vendorType.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"vendorType.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"vendorType.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"vendorType.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"vendorType.oneOf.0","typeLabel":"object"},{"type":"null","description":"The vendor's type, used for categorizing vendors into meaningful segments, such as industry or region.","example":{"id":"80000001-1234567890","fullName":"Wholesale Supplier"},"isRequired":true,"uniqueKey":"vendorType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"vendorType","typeLabel":"object | null"},"terms":{"oneOf":[{"type":"object","description":"The vendor's payment terms, defining when payment is due and any applicable discounts.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Net 30"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"terms.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"terms.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"terms.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"terms.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"terms.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"terms.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"terms.oneOf.0","typeLabel":"object"},{"type":"null","description":"The vendor's payment terms, defining when payment is due and any applicable discounts.","example":{"id":"80000001-1234567890","fullName":"Net 30"},"isRequired":true,"uniqueKey":"terms.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"terms","typeLabel":"object | null"},"creditLimit":{"oneOf":[{"type":"string","description":"The vendor's credit limit, represented as a decimal string. This is the maximum amount of money that can be spent being before billed by this vendor. If `null`, there is no credit limit.","example":"5000.00","isRequired":true,"uniqueKey":"creditLimit.oneOf.0","typeLabel":"string"},{"type":"null","description":"The vendor's credit limit, represented as a decimal string. This is the maximum amount of money that can be spent being before billed by this vendor. If `null`, there is no credit limit.","example":"5000.00","isRequired":true,"uniqueKey":"creditLimit.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditLimit","typeLabel":"string | null"},"taxIdentificationNumber":{"oneOf":[{"type":"string","description":"The vendor's tax identification number (e.g., EIN or SSN).","example":"12-3456789","isRequired":true,"uniqueKey":"taxIdentificationNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"The vendor's tax identification number (e.g., EIN or SSN).","example":"12-3456789","isRequired":true,"uniqueKey":"taxIdentificationNumber.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"taxIdentificationNumber","typeLabel":"string | null"},"isEligibleFor1099":{"oneOf":[{"type":"boolean","description":"Indicates whether this vendor is eligible to receive a 1099 form for tax reporting purposes. When `true`, then the fields `taxId` and `billingAddress` are required.","example":true,"isRequired":true,"uniqueKey":"isEligibleFor1099.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Indicates whether this vendor is eligible to receive a 1099 form for tax reporting purposes. When `true`, then the fields `taxId` and `billingAddress` are required.","example":true,"isRequired":true,"uniqueKey":"isEligibleFor1099.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"isEligibleFor1099","typeLabel":"boolean | null"},"balance":{"oneOf":[{"type":"string","description":"The current balance owed to this vendor, represented as a decimal string. A positive number indicates money owed to the vendor.","example":"1000.00","isRequired":true,"uniqueKey":"balance.oneOf.0","typeLabel":"string"},{"type":"null","description":"The current balance owed to this vendor, represented as a decimal string. A positive number indicates money owed to the vendor.","example":"1000.00","isRequired":true,"uniqueKey":"balance.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"balance","typeLabel":"string | null"},"billingRate":{"oneOf":[{"type":"object","description":"The vendor's billing rate, used to override service item rates in time tracking activities.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Standard Rate"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"billingRate.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"billingRate.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"billingRate.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"billingRate.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"billingRate.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"billingRate.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"billingRate.oneOf.0","typeLabel":"object"},{"type":"null","description":"The vendor's billing rate, used to override service item rates in time tracking activities.","example":{"id":"80000001-1234567890","fullName":"Standard Rate"},"isRequired":true,"uniqueKey":"billingRate.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"billingRate","typeLabel":"object | null"},"externalId":{"oneOf":[{"type":"string","description":"A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.","example":"12345678-abcd-1234-abcd-1234567890ab","isRequired":true,"uniqueKey":"externalId.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"externalId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"externalId","typeLabel":"string | null"},"salesTaxCode":{"oneOf":[{"type":"object","description":"The default sales-tax code for transactions with this vendor, determining whether the transactions are taxable or non-taxable. This can be overridden at the transaction or transaction-line level.\n\nDefault codes include \"Non\" (non-taxable) and \"Tax\" (taxable), but custom codes can also be created in QuickBooks Desktop. If QuickBooks Desktop is not set up to charge sales tax (via the \"Do You Charge Sales Tax?\" preference), it assigns the default non-taxable sales-tax code configured in the company file to all sales.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Non"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"salesTaxCode.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"salesTaxCode.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salesTaxCode.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"salesTaxCode.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"salesTaxCode.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salesTaxCode.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"salesTaxCode.oneOf.0","typeLabel":"object"},{"type":"null","description":"The default sales-tax code for transactions with this vendor, determining whether the transactions are taxable or non-taxable. This can be overridden at the transaction or transaction-line level.\n\nDefault codes include \"Non\" (non-taxable) and \"Tax\" (taxable), but custom codes can also be created in QuickBooks Desktop. If QuickBooks Desktop is not set up to charge sales tax (via the \"Do You Charge Sales Tax?\" preference), it assigns the default non-taxable sales-tax code configured in the company file to all sales.","example":{"id":"80000001-1234567890","fullName":"Non"},"isRequired":true,"uniqueKey":"salesTaxCode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salesTaxCode","typeLabel":"object | null"},"salesTaxCountry":{"oneOf":[{"type":"string","description":"The country for which sales tax is collected for this vendor.","example":"us","isRequired":true,"uniqueKey":"salesTaxCountry.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country for which sales tax is collected for this vendor.","example":"us","isRequired":true,"uniqueKey":"salesTaxCountry.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salesTaxCountry","typeLabel":"string | null"},"isSalesTaxAgency":{"oneOf":[{"type":"boolean","description":"Indicates whether this vendor is a sales tax agency.","example":false,"isRequired":true,"uniqueKey":"isSalesTaxAgency.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Indicates whether this vendor is a sales tax agency.","example":false,"isRequired":true,"uniqueKey":"isSalesTaxAgency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"isSalesTaxAgency","typeLabel":"boolean | null"},"salesTaxReturn":{"oneOf":[{"type":"object","description":"The vendor's sales tax return information, used for tracking and reporting sales tax liabilities.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Quarterly Sales Tax Return"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"salesTaxReturn.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"salesTaxReturn.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salesTaxReturn.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"salesTaxReturn.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"salesTaxReturn.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salesTaxReturn.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"salesTaxReturn.oneOf.0","typeLabel":"object"},{"type":"null","description":"The vendor's sales tax return information, used for tracking and reporting sales tax liabilities.","example":{"id":"80000001-1234567890","fullName":"Quarterly Sales Tax Return"},"isRequired":true,"uniqueKey":"salesTaxReturn.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salesTaxReturn","typeLabel":"object | null"},"taxRegistrationNumber":{"oneOf":[{"type":"string","description":"The vendor's tax registration number, for use in Canada or the UK.","example":"GB123456789","isRequired":true,"uniqueKey":"taxRegistrationNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"The vendor's tax registration number, for use in Canada or the UK.","example":"GB123456789","isRequired":true,"uniqueKey":"taxRegistrationNumber.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"taxRegistrationNumber","typeLabel":"string | null"},"reportingPeriod":{"oneOf":[{"type":"string","description":"The vendor's tax reporting period, for use in Canada or the UK.","enum":["monthly","quarterly","annual"],"example":"quarterly","isRequired":true,"uniqueKey":"reportingPeriod.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The vendor's tax reporting period, for use in Canada or the UK.","example":"quarterly","isRequired":true,"uniqueKey":"reportingPeriod.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"reportingPeriod","typeLabel":"enum\u003cstring> | null"},"isTrackingPurchaseTax":{"oneOf":[{"type":"boolean","description":"Indicates whether tax is tracked on purchases for this vendor, for use in Canada or the UK.","example":true,"isRequired":true,"uniqueKey":"isTrackingPurchaseTax.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Indicates whether tax is tracked on purchases for this vendor, for use in Canada or the UK.","example":true,"isRequired":true,"uniqueKey":"isTrackingPurchaseTax.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"isTrackingPurchaseTax","typeLabel":"boolean | null"},"purchaseTaxAccount":{"oneOf":[{"type":"object","description":"The account used for tracking taxes on purchases for this vendor, for use in Canada or the UK.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"GST Paid"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"purchaseTaxAccount.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"purchaseTaxAccount.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"purchaseTaxAccount.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"purchaseTaxAccount.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"purchaseTaxAccount.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"purchaseTaxAccount.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"purchaseTaxAccount.oneOf.0","typeLabel":"object"},{"type":"null","description":"The account used for tracking taxes on purchases for this vendor, for use in Canada or the UK.","example":{"id":"80000001-1234567890","fullName":"GST Paid"},"isRequired":true,"uniqueKey":"purchaseTaxAccount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"purchaseTaxAccount","typeLabel":"object | null"},"isTrackingSalesTax":{"oneOf":[{"type":"boolean","description":"Indicates whether tax is tracked on sales for this vendor, for use in Canada or the UK.","example":true,"isRequired":true,"uniqueKey":"isTrackingSalesTax.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Indicates whether tax is tracked on sales for this vendor, for use in Canada or the UK.","example":true,"isRequired":true,"uniqueKey":"isTrackingSalesTax.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"isTrackingSalesTax","typeLabel":"boolean | null"},"salesTaxAccount":{"oneOf":[{"type":"object","description":"The account used for tracking taxes on sales for this vendor, for use in Canada or the UK.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"GST Collected"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"salesTaxAccount.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"salesTaxAccount.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salesTaxAccount.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"salesTaxAccount.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"salesTaxAccount.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salesTaxAccount.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"salesTaxAccount.oneOf.0","typeLabel":"object"},{"type":"null","description":"The account used for tracking taxes on sales for this vendor, for use in Canada or the UK.","example":{"id":"80000001-1234567890","fullName":"GST Collected"},"isRequired":true,"uniqueKey":"salesTaxAccount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salesTaxAccount","typeLabel":"object | null"},"isCompoundingTax":{"oneOf":[{"type":"boolean","description":"Indicates whether tax is charged on top of tax for this vendor, for use in Canada or the UK.","example":false,"isRequired":true,"uniqueKey":"isCompoundingTax.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Indicates whether tax is charged on top of tax for this vendor, for use in Canada or the UK.","example":false,"isRequired":true,"uniqueKey":"isCompoundingTax.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"isCompoundingTax","typeLabel":"boolean | null"},"defaultExpenseAccounts":{"type":"array","items":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"defaultExpenseAccounts.items.[INDEX].id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"defaultExpenseAccounts.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"defaultExpenseAccounts.items.[INDEX].id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"defaultExpenseAccounts.items.[INDEX].fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"defaultExpenseAccounts.items.[INDEX].fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"defaultExpenseAccounts.items.[INDEX].fullName","typeLabel":"string | null"}},"required":["id","fullName"],"additionalProperties":false,"uniqueKey":"defaultExpenseAccounts.items.[INDEX]","typeLabel":"object"},"description":"The expense accounts to prefill when entering bills for this vendor.","example":[{"id":"80000001-1234567890","fullName":"Expenses:Utilities"}],"isRequired":true,"uniqueKey":"defaultExpenseAccounts","typeLabel":"object[]"},"currency":{"oneOf":[{"type":"object","description":"The vendor's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"USD"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"currency.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"currency.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"currency.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"currency.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"currency.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"currency.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"currency.oneOf.0","typeLabel":"object"},{"type":"null","description":"The vendor's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","example":{"id":"80000001-1234567890","fullName":"USD"},"isRequired":true,"uniqueKey":"currency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"currency","typeLabel":"object | null"},"customFields":{"type":"array","items":{"type":"object","properties":{"ownerId":{"type":"string","description":"The identifier of the owner of the custom field, which QuickBooks internally calls a \"data extension\". For public custom fields visible in the UI, such as those added by the QuickBooks user, this is always \"0\". For private custom fields that are only visible to the application that created them, this is a valid GUID identifying the owning application. Internally, Conductor always fetches all public custom fields (those with an `ownerId` of \"0\") for all objects.","example":"0","isRequired":true,"uniqueKey":"customFields.items.[INDEX].ownerId","typeLabel":"string"},"name":{"type":"string","description":"The name of the custom field, unique for the specified `ownerId`. For public custom fields, this name is visible as a label in the QuickBooks UI.","example":"Customer Rating","isRequired":true,"uniqueKey":"customFields.items.[INDEX].name","typeLabel":"string"},"type":{"type":"string","enum":["amount_type","date_time_type","integer_type","percent_type","price_type","quantity_type","string_1024_type","string_255_type"],"description":"The data type of this custom field.","example":"string_1024_type","isRequired":true,"uniqueKey":"customFields.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"The value of this custom field. The maximum length depends on the field's data type.","example":"Premium","isRequired":true,"uniqueKey":"customFields.items.[INDEX].value","typeLabel":"string"}},"required":["ownerId","name","type","value"],"additionalProperties":false,"title":"The Custom Field object","x-conductor-object-type":"nested","uniqueKey":"customFields.items.[INDEX]","typeLabel":"The Custom Field object · object"},"description":"The custom fields for the vendor object, added as user-defined data extensions, not included in the standard QuickBooks object.","isRequired":true,"uniqueKey":"customFields","typeLabel":"The Custom Field object · object[]"}},"required":["id","objectType","createdAt","updatedAt","revisionNumber","name","isActive","class","companyName","salutation","firstName","middleName","lastName","jobTitle","billingAddress","shippingAddress","phone","alternatePhone","fax","email","ccEmail","contact","alternateContact","customContactFields","additionalContacts","nameOnCheck","accountNumber","note","additionalNotes","vendorType","terms","creditLimit","taxIdentificationNumber","isEligibleFor1099","balance","billingRate","externalId","salesTaxCode","salesTaxCountry","isSalesTaxAgency","salesTaxReturn","taxRegistrationNumber","reportingPeriod","isTrackingPurchaseTax","purchaseTaxAccount","isTrackingSalesTax","salesTaxAccount","isCompoundingTax","defaultExpenseAccounts","currency","customFields"],"additionalProperties":false,"title":"The Vendor object","x-conductor-object-type":"other","summary":"A vendor is any person or company from whom a small business owner buys goods and services. (Banks and tax agencies usually are included on the vendor list.) A company's vendor list contains information such as account balance and contact information about each vendor.","uniqueKey":"","typeLabel":"The Vendor object · object"},"examples":{"Example":{"title":"Example","value":{"id":"80000001-1234567890","objectType":"qbd_vendor","createdAt":"2025-01-01T12:34:56.000Z","updatedAt":"2025-02-01T12:34:56.000Z","revisionNumber":"1721172183","name":"Acme Supplies Inc.","isActive":true,"class":{"id":"80000001-1234567890","fullName":"Suppliers"},"companyName":"Acme Corporation","salutation":"Dr.","firstName":"John","middleName":"A.","lastName":"Doe","jobTitle":"Purchasing Manager","billingAddress":{"line1":"Conductor Labs Inc.","line2":"540 Market St.","line3":"Suite 100","line4":"","line5":"","city":"San Francisco","state":"CA","postalCode":"94110","country":"United States","note":"Conductor HQ"},"shippingAddress":{"line1":"Conductor Labs Inc.","line2":"540 Market St.","line3":"Suite 100","line4":"","line5":"","city":"San Francisco","state":"CA","postalCode":"94110","country":"United States","note":"Conductor HQ"},"phone":"+1-555-123-4567","alternatePhone":"+1-555-987-6543","fax":"+1-555-555-1212","email":"vendor@example.com","ccEmail":"manager@example.com","contact":"Jane Smith","alternateContact":"Bob Johnson","customContactFields":[{"name":"Main Phone","value":"555-123-4567"}],"additionalContacts":[{"id":"80000001-1234567890","objectType":"qbd_contact","createdAt":"2025-01-01T12:34:56.000Z","updatedAt":"2025-02-01T12:34:56.000Z","revisionNumber":"1721172183","name":"Jane Smith","salutation":"Dr.","firstName":"John","middleName":"A.","lastName":"Doe","jobTitle":"Purchasing Manager","customContactFields":[{"name":"Main Phone","value":"555-123-4567"}]}],"nameOnCheck":"Acme Supplies Ltd.","accountNumber":"1010","note":"Preferred vendor for office supplies.","additionalNotes":[{"id":1,"date":"2024-01-01T00:00:00.000Z","note":"This is a fun note."}],"vendorType":{"id":"80000001-1234567890","fullName":"Wholesale Supplier"},"terms":{"id":"80000001-1234567890","fullName":"Net 30"},"creditLimit":"5000.00","taxIdentificationNumber":"12-3456789","isEligibleFor1099":true,"balance":"1000.00","billingRate":{"id":"80000001-1234567890","fullName":"Standard Rate"},"externalId":"12345678-abcd-1234-abcd-1234567890ab","salesTaxCode":{"id":"80000001-1234567890","fullName":"Non"},"salesTaxCountry":"us","isSalesTaxAgency":false,"salesTaxReturn":{"id":"80000001-1234567890","fullName":"Quarterly Sales Tax Return"},"taxRegistrationNumber":"GB123456789","reportingPeriod":"quarterly","isTrackingPurchaseTax":true,"purchaseTaxAccount":{"id":"80000001-1234567890","fullName":"GST Paid"},"isTrackingSalesTax":true,"salesTaxAccount":{"id":"80000001-1234567890","fullName":"GST Collected"},"isCompoundingTax":false,"defaultExpenseAccounts":[{"id":"80000001-1234567890","fullName":"Expenses:Utilities"}],"currency":{"id":"80000001-1234567890","fullName":"USD"},"customFields":[{"ownerId":"0","name":"Customer Rating","type":"string_1024_type","value":"Premium"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"191c7603-d72f-4f6b-b268-817e601fa747":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"045cea4d-dfb6-46e4-9c51-52452b7b239b":{"url":"https://api.conductor.is/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"openapi.documented.yml"},"subdomain":"conductor","siteName":"Conductor Docs","title":"Retrieve a vendor - Conductor Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-27T20:40:23.115Z","originalFileLocation":"api-ref/qbd/vendors/retrieve.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves a vendor by ID. IMPORTANT: If you need to fetch multiple specific vendors by ID, use the list endpoint instead with the ids parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve a vendor - Conductor Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves a vendor by ID. IMPORTANT: If you need to fetch multiple specific vendors by ID, use the list endpoint instead with the ids parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Conductor Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.conductor.is/api-ref/qbd/vendors/retrieve\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://conductor.mintlify.app/_mintlify/api/og/v2?division=Vendors\u0026amp;title=Retrieve+a+vendor\u0026amp;description=Retrieves+a+vendor+by+ID.%0A%0A**IMPORTANT%3A**+If+you+need+to+fetch+multiple+specific+vendors+by+ID%2C+use+the+list+endpoint+instead+with+the+%60ids%60+parameter.+It+accep\u0026amp;theme=25d211cbfbf21e15541a10f2\u0026amp;signature=4c6e2e36d9b7b91ff077cd7fd0b6e69e5385545ea43831bf77d4e727a9b26794\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve a vendor - Conductor Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves a vendor by ID. IMPORTANT: If you need to fetch multiple specific vendors by ID, use the list endpoint instead with the ids parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://conductor.mintlify.app/_mintlify/api/og/v2?division=Vendors\u0026amp;title=Retrieve+a+vendor\u0026amp;description=Retrieves+a+vendor+by+ID.%0A%0A**IMPORTANT%3A**+If+you+need+to+fetch+multiple+specific+vendors+by+ID%2C+use+the+list+endpoint+instead+with+the+%60ids%60+parameter.+It+accep\u0026amp;theme=25d211cbfbf21e15541a10f2\u0026amp;signature=4c6e2e36d9b7b91ff077cd7fd0b6e69e5385545ea43831bf77d4e727a9b26794\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#9563FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.conductor.is/api-ref/qbd/vendors/retrieve\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-ref/qbd/vendors/retrieve.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.conductor.is/#organization\",\"name\":\"Conductor Docs\",\"url\":\"https://docs.conductor.is\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.conductor.is#website\",\"name\":\"Conductor Docs\",\"url\":\"https://docs.conductor.is\",\"publisher\":{\"@id\":\"https://docs.conductor.is/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.conductor.is/api-ref/qbd/vendors/retrieve#webpage\",\"url\":\"https://docs.conductor.is/api-ref/qbd/vendors/retrieve\",\"name\":\"Retrieve a vendor\",\"description\":\"Retrieves a vendor by ID. IMPORTANT: If you need to fetch multiple specific vendors by ID, use the list endpoint instead with the ids parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.\",\"dateModified\":\"2026-01-27T20:40:23.115Z\",\"isPartOf\":{\"@id\":\"https://docs.conductor.is#website\"},\"breadcrumb\":{\"@id\":\"https://docs.conductor.is/api-ref/qbd/vendors/retrieve#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.conductor.is/api-ref/qbd/vendors/retrieve#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"General\",\"item\":\"https://docs.conductor.is/api-ref/qbd/account-tax-lines/object\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Vendors\",\"item\":\"https://docs.conductor.is/api-ref/qbd/vendors/object\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Retrieve a vendor\",\"item\":\"https://docs.conductor.is/api-ref/qbd/vendors/retrieve\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.conductor.is/api-ref/qbd/vendors/retrieve#apireference\",\"headline\":\"Retrieve a vendor\",\"name\":\"Retrieve a vendor\",\"description\":\"Retrieves a vendor by ID. IMPORTANT: If you need to fetch multiple specific vendors by ID, use the list endpoint instead with the ids parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.\",\"url\":\"https://docs.conductor.is/api-ref/qbd/vendors/retrieve\",\"mainEntityOfPage\":{\"@id\":\"https://docs.conductor.is/api-ref/qbd/vendors/retrieve#webpage\"},\"dateModified\":\"2026-01-27T20:40:23.115Z\",\"publisher\":{\"@id\":\"https://docs.conductor.is/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.conductor.is#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Conductor Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Conductor Docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/quickstart"}]},{"tab":"API Reference","groups":[{"group":"QuickBooks Desktop API","pages":[{"title":"Welcome to Conductor's QuickBooks Desktop API","href":"/api-ref/welcome"},{"title":"SDKs","icon":"code","href":"/api-ref/sdks"},{"title":"Upgrading to Conductor's new Node.js SDK","icon":"up","href":"/api-ref/upgrade-node"},{"title":"Authentication","icon":"lock","href":"/api-ref/authentication"},{"title":"Pagination","icon":"files","href":"/api-ref/pagination"},{"title":"Request IDs","icon":"hashtag","href":"/api-ref/request-ids"},{"title":"Timeouts","icon":"clock","href":"/api-ref/timeouts"},{"title":"The Error object","icon":"triangle-exclamation","href":"/api-ref/errors"},{"title":"OpenAPI","icon":"file-code","href":"/api-ref/openapi"},{"title":"MCP","icon":"robot","href":"/api-ref/mcp"}]},{"group":"Core Resources","pages":[{"group":"Auth Sessions","pages":[{"title":"The Auth Session object","href":"/api-ref/auth-sessions/object"},{"openapi":"POST /auth-sessions","title":"Create an auth session","href":"/api-ref/auth-sessions/create"}]},{"group":"End Users","pages":[{"title":"The End-User object","href":"/api-ref/end-users/object"},{"openapi":"POST /end-users","title":"Create an end-user","href":"/api-ref/end-users/create"},{"openapi":"GET /end-users/{id}","title":"Retrieve an end-user","href":"/api-ref/end-users/retrieve"},{"openapi":"GET /end-users","title":"List all end-users","href":"/api-ref/end-users/list"},{"openapi":"DELETE /end-users/{id}","title":"Delete an end-user","href":"/api-ref/end-users/delete"}]}]},{"group":"Utilities","pages":[{"openapi":"GET /quickbooks-desktop/health-check","title":"Health check","href":"/api-ref/qbd/utilities/health-check"},{"openapi":"POST /end-users/{id}/passthrough/{integrationSlug}","title":"Passthrough","href":"/api-ref/qbd/utilities/passthrough"}]},{"group":"Transactions","pages":[{"group":"All Transactions","pages":[{"title":"The Transaction object","href":"/api-ref/qbd/transactions/object"},{"openapi":"GET /quickbooks-desktop/transactions/{id}","title":"Retrieve a transaction","href":"/api-ref/qbd/transactions/retrieve"},{"openapi":"GET /quickbooks-desktop/transactions","title":"List all transactions","href":"/api-ref/qbd/transactions/list"}]},{"group":"Bill Check Payments","pages":[{"title":"The Bill Check Payment object","href":"/api-ref/qbd/bill-check-payments/object"},{"openapi":"POST /quickbooks-desktop/bill-check-payments","title":"Create a bill check payment","href":"/api-ref/qbd/bill-check-payments/create"},{"openapi":"POST /quickbooks-desktop/bill-check-payments/{id}","title":"Update a bill check payment","href":"/api-ref/qbd/bill-check-payments/update"},{"openapi":"GET /quickbooks-desktop/bill-check-payments/{id}","title":"Retrieve a bill check payment","href":"/api-ref/qbd/bill-check-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/bill-check-payments","title":"List all bi
[...]
